CREATE TABLE instantFeedFeed (
   feedID            BIGINT         NOT NULL,
   feedName          VARCHAR(255)   NOT NULL,
   feedURL           VARCHAR(255)   NOT NULL,
   mostRecentEntry   VARCHAR(255)   NOT NULL
);
CREATE INDEX instantFeedFeed_ID_idx on instantFeedFeed(feedID);
CREATE INDEX instantFeedFeed_url_idx on instantFeedFeed(feedURL);

CREATE TABLE instantFeedUser (
   userID            BIGINT         NOT NULL,
   jid               VARCHAR(255)   NOT NULL,
   hibernating       INTEGER        NOT NULL
);
CREATE INDEX instantFeedUser_ID_idx on instantFeedUser(userID);
CREATE INDEX instantFeedUser_jid_idx on instantFeedUser(jid);

CREATE TABLE instantFeedUserToFeed (
   userID            BIGINT         NOT NULL,
   feedID            BIGINT         NOT NULL,
   verified          BIGINT         NOT NULL,
   mostRecentEntry   VARCHAR(255)   NOT NULL
);


INSERT INTO ofVersion (name, version) VALUES ('instantFeed', 3);
