CREATE TABLE instantFeedFeed (
   feedID            INTEGER         NOT NULL,
   feedName          NVARCHAR(255)   NOT NULL,
   feedURL           NVARCHAR(255)   NOT NULL,
   mostRecentEntry   NVARCHAR(255)   NOT NULL,
   CONSTRAINT instantFeedFeed_pk PRIMARY KEY (feedID)
);
CREATE INDEX instantFeedFeed_url_idx ON instantFeedFeed(feedURL);


CREATE TABLE instantFeedUser (
   userID            INTEGER         NOT NULL,
   jid               NVARCHAR(255)   NOT NULL,
   hibernating       INTEGER         NOT NULL,
   CONSTRAINT instantFeedUser_pk PRIMARY KEY (userID)
);
CREATE INDEX instantFeedUser_jid_idx ON instantFeedUser(jid);

CREATE TABLE instantFeedUserToFeed (
   userID            NVARCHAR         NOT NULL,
   feedID            NVARCHAR         NOT NULL,
   verified          NVARCHAR         NOT NULL,
   mostRecentEntry   NVARCHAR(255)   NOT NULL
);


INSERT INTO ofVersion (name, version) VALUES ('instantFeed', 3);
