CREATE TABLE instantFeedFeed (
   feedID            INTEGER         NOT NULL,
   feedName          VARCHAR2(255)   NOT NULL,
   feedURL           VARCHAR2(255)   NOT NULL,
   mostRecentEntry   VARCHAR2(255)   NOT NULL
);
CREATE INDEX instantFeedFeed_id_idx ON instantFeedFeed(feedID);
CREATE INDEX instantFeedFeed_url_idx ON instantFeedFeed(feedURL);


CREATE TABLE instantFeedUser (
   userID            INTEGER         NOT NULL,
   jid               VARCHAR2(255)   NOT NULL,
   hibernating       INTEGER         NOT NULL
);
CREATE INDEX instantFeedUser_id_idx ON instantFeedUser(userID);
CREATE INDEX instantFeedUser_jid_idx ON instantFeedUser(jid);


CREATE TABLE instantFeedUserToFeed (
   userID            INTEGER         NOT NULL,
   feedID            INTEGER         NOT NULL,
   verified          INTEGER         NOT NULL,
   mostRecentEntry   VARCHAR2(255)    NOT NULL
);


INSERT INTO ofVersion (name, version) VALUES ('instantFeed', 3);

commit;
